WESNOTHD(6)

NAMN
wesnothd - Kampen om Wesnoths nätverksdaemon

SYNOPSIS
wesnothd [-dv] [-c sökväg] [-p port] [-t antal] [-T antal]
wesnothd -V

BESKRIVNING
Kampen om Wesnoths nätverksdaemon för gruppspel. Se http://www.wesnoth.org/wiki/ServerAdministration för information om vilka kommandon servern accepterar via wesnoth-klienten eller sockeln.

FLAGGOR

-c sökväg, --config sökväg
    anger var wesnothd skall leta efter konfigurationsfilen. Se avsnittet om SERVERKONFIGURATION nedan för syntaxen. Konfigurationen laddas om när signalen SIGHUP skickas till serverprocessen.

-d, --daemon
    kör wesnothd som en daemon.

-h, --help
    visar en sammanfattning av möjliga kommandoradsflaggor.

--log-nivå=domän1,domän2,...
    anger allvarlighetsgraden för loggdomänerna. För att se allt kan all användas. Möjliga nivåer: error, warning, info, debug. Standardnivå är error och info för server-domänen.

-p port, --port port
    knyter servern till den specificerade porten. Om ingen port anges så används port 15000.

-t antal, --threads antal
    anger maximalt antal väntande trådar för nätverkstrafik (standardvärde: 5, max: 30).

-T antal, --max-threads antal
    anger maximalt antal trådar som skapas för nätverkstrafik. Om 0 anges sätts ingen övre gräns (standardvärde: 0).

-V, --version
    visar versionen.

-v, --verbose
    ger mer utförlig information.

SERVERKONFIGURATION

  Den allmänna syntaxen är:

[tag]

    parameter="värde"

    parameter="värde,värde,..."

[/tag]

  Globala parametrar:

connections_allowed
    The number of allowed connections from the same IP. 0 means infinite. (default: 5)

disallow_names
    Spelarnamn som ej accepteras av servern. '*' och '?' är tillåtna för att matcha flera tecken. Se glob(7) för detaljer. Standardvärden (som används om inget anges) är *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

max_messages
    Antal tillåtna meddelanden inom messages_time_period (standardvärde: 4).

messages_time_period
    Tidsperioden (i sekunder) under vilken meddelandeöversvämning detekteras (standardvärde: 10 sekunder).

motd
    Meddelandet för dagen.

passwd
    Lösenordet för administrationsrättigheter. Börjar ofta med `admin '.

versions_accepted
    En komma-separerad lista med versionssträngar som accepteras av servern. '*' och '?' är tillåtna för att matcha flera tecken. (Standardvärdet är aktuell version av Wesnoth.)
    Exempel: versions_accepted="*" accepterar alla versionssträngar.

  Globala taggar:

[redirect] En tag som anger vart en server skall omdirigera vissa klientversioner.

    host
        Värdadressen att omdirigera till.

    port
        Porten att ansluta till.

    version
        En komma-separerad lista av versioner att omdirigera. Fungerar på samma sätt som versions_accepted vad gäller strängmatchning.

[proxy] En tag som anger att servern skall agera som proxy och vidarebefordra klientförfrågningar till den angiva servern. Accepterar samma parametrar som [redirect].

FÖRFATTARE
Skriven av David White <davidnwhite@verizon.net>. Redigerad av Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> och Soliton <soliton.de@gmail.com>. Denna manualsida skrevs ursprungligen av Cyril Bouthors <cyril@bouthors.org>.
Besök den officiella hemsidan: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Detta är fri mjukvara; denna mjukvara är licensierad under GPL version 2, såsom publicerad av Free Software Foundation. INGEN garanti ges; inte ens för SÄLJBARHET eller LÄMPLIGHET FÖR ETT VISST SYFTE.

SE ÄVEN
wesnoth(6), wesnoth_editor(6)